import pandas as pd

path = r'd://data//11.csv'

df = pd.read_csv(path, encoding='gb18030')
df.reset_index(inplace=True)
print(df.columns)
df.columns = [i.replace('()', '') for i in df.columns]
wind_names = set([i.split('#-')[0] for i in df.columns if i.find('#-') > -1])
print(df.columns)
print(wind_names)
for wind_name in wind_names:
    select_cols = [i for i in df.columns if str(i).startswith(wind_name)]
    print(select_cols)
    select_cols.insert(0, '时间')
    print(select_cols)
    df_temp = df[select_cols]
    df_temp.columns = [i.split('#-')[-1] for i in df_temp.columns]

    df_temp.sort_values(by='时间', inplace=True)

    df_temp.to_csv("d://data//najiade//"+str(wind_name) + '.csv', encoding='utf8', index=False)
