from os import *

import pandas as pd

read_path = r"D:\data\电量损失及散点图"
df = pd.DataFrame()

cols = ['风机', '应发电量', '实发电量', '停机损失电量', '坏点+限电损失电量', '性能损失电量', '坏点损失电量', '限电损失电量', '超发电量', '应发电量百分比', '实发电量百分比',
        '停机损失电量百分比', '坏点+限电损失电量百分比', '性能损失电量百分比', '坏点损失电量百分比', '限电损失电量百分比', '超发电量百分比', '平均风速', '可利用率']

for root, dir, files in walk(read_path):
    if files:
        base_name = path.basename(root)
        wind_df = pd.DataFrame()
        print(root)
        df1 = pd.read_excel(path.join(root, "EPPer.xls"), usecols=['应发电量百分比', '实发电量百分比',
                                                                     '停机损失电量百分比', '坏点+限电损失电量百分比', '性能损失电量百分比',
                                                                     '坏点损失电量百分比',
                                                                     '限电损失电量百分比', '超发电量百分比', '平均风速', '可利用率'])
        df2 = pd.read_excel(path.join(root, "EPKW.xls"),
                            usecols=['应发电量', '实发电量', '停机损失电量', '坏点+限电损失电量', '性能损失电量', '坏点损失电量', '限电损失电量', '超发电量'])
        wind_df = pd.concat([df1, df2], axis=1)
        wind_df['风机'] = base_name
        wind_df.reset_index(inplace=True)
        print(wind_df.columns)
        df = pd.concat([df, wind_df], ignore_index=True)

df.to_csv("合并结果.csv", index=False, encoding='utf8', columns=cols)
